# Get UK8S IPAMD Status - GetUK8SIpamdStatus

## Overview

Get the installation status, version, CNI initialization mode, and mode-switching capability of the ipamd plugin.






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `GetUK8SIpamdStatus`.                      | **Yes** |
| **PublicKey**  | string  | AccessKey ID, obtained from [Console](https://console-ajyun.cachecenter.com/uaccount/api_manage)                                              | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [Regions and Availability Zones](/docs/api/summary/regionlist). |**Yes**|
| **Zone** | string | Availability zone. Optional. |No|
| **ProjectId** | string | Project ID. If omitted, the default project is used. Required for sub-accounts. See [GetProjectList](/docs/api/summary/get_project_list). |No|
| **ClusterId** | string | UK8S cluster ID. |**Yes**|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **Installed** | boolean | Whether the ipamd plugin is installed. |**Yes**|
| **Version** | string | Current ipamd version. |**Yes**|
| **LastVersion** | string | Latest available ipamd version. |**Yes**|
| **ReleaseDate** | int | Release date of the latest version as a Unix timestamp in seconds. |**Yes**|
| **OpenTime** | int | Creation time of the current ipamd plugin as a Unix timestamp in seconds. |**Yes**|
| **CNIInitMode** | string | Current CNI initialization mode. |No|
| **CNIInitVersionReady** | boolean | Whether the installed ipamd version supports switching the CNI initialization mode. |No|




## Example

### Request Example
    
```
https://api-ajyun.cachecenter.com/?Action=GetUK8SIpamdStatus
&Region=cn-zj
&Zone=cn-zj-01
&ProjectId=tabEtpxk
&ClusterId=WDuPCzCV
```

### Response Example
    
```json
{
  "Action": "GetUK8SIpamdStatusResponse",
  "Installed": false,
  "LastVersion": "EWDIRZbC",
  "OpenTime": 8,
  "ReleaseDate": 1,
  "RetCode": 0,
  "Version": "npORkzNo"
}
```





